<?php

namespace Acms\Services\ConfigSet;

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class ConfigSetServiceProvider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        $container->singleton('config_set.repository', 'Acms\Services\ConfigSet\Repository');
        $container->singleton('config_set.export', 'Acms\Services\ConfigSet\Export');
        $container->singleton('config_set.import', 'Acms\Services\ConfigSet\Import');
        $container->singleton('config_set.authorization', 'Acms\Services\ConfigSet\Authorization');
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {
    }
}
